/*++
## Project ##
Universal Windows Extender
DIRECTX

## Thanks ##
WINE

## Module ##
MFPLAT

## File ##
compat\UUPLAT\include.h

## Author ##
    GlitchR9506
Revision  Revision  Flags:        Details:
ID:       Date:
--------  --------  ------------  ----------------------------------------------------
--*/


#include <windows.h>
#pragma comment(linker, "/export:MFGetPlatformFlags=mfplat.MFGetPlatformFlags")
#pragma comment(linker, "/export:FormatTagFromWfx=mfplat.FormatTagFromWfx")
#pragma comment(linker, "/export:MFEnumLocalMFTRegistrations=mfplat.MFEnumLocalMFTRegistrations")
#pragma comment(linker, "/export:MFGetPlatformVersion=mfplat.MFGetPlatformVersion")
#pragma comment(linker, "/export:MFGetRandomNumber=mfplat.MFGetRandomNumber")
#pragma comment(linker, "/export:MFIsFeatureEnabled=mfplat.MFIsFeatureEnabled")
#pragma comment(linker, "/export:MFPlatformBigEndian=mfplat.MFPlatformBigEndian")
#pragma comment(linker, "/export:MFPlatformLittleEndian=mfplat.MFPlatformLittleEndian")
#pragma comment(linker, "/export:ValidateWaveFormat=mfplat.ValidateWaveFormat")
#pragma comment(linker, "/export:CopyPropVariant=mfplat.CopyPropVariant")
#pragma comment(linker, "/export:CreatePropVariant=mfplat.CreatePropVariant")
#pragma comment(linker, "/export:CreatePropertyStore=mfplat.CreatePropertyStore")
#pragma comment(linker, "/export:DestroyPropVariant=mfplat.DestroyPropVariant")
#pragma comment(linker, "/export:GetAMSubtypeFromD3DFormat=mfplat.GetAMSubtypeFromD3DFormat")
#pragma comment(linker, "/export:GetD3DFormatFromMFSubtype=mfplat.GetD3DFormatFromMFSubtype")
#pragma comment(linker, "/export:MFAddPeriodicCallback=mfplat.MFAddPeriodicCallback")
#pragma comment(linker, "/export:MFAllocateSerialWorkQueue=mfplat.MFAllocateSerialWorkQueue")
#pragma comment(linker, "/export:MFAllocateWorkQueue=mfplat.MFAllocateWorkQueue")
#pragma comment(linker, "/export:MFAllocateWorkQueueEx=mfplat.MFAllocateWorkQueueEx")
#pragma comment(linker, "/export:MFAppendCollection=mfplat.MFAppendCollection")
#pragma comment(linker, "/export:MFAverageTimePerFrameToFrameRate=mfplat.MFAverageTimePerFrameToFrameRate")
#pragma comment(linker, "/export:MFBeginCreateFile=mfplat.MFBeginCreateFile")
#pragma comment(linker, "/export:MFBeginGetHostByName=mfplat.MFBeginGetHostByName")
#pragma comment(linker, "/export:MFBeginRegisterWorkQueueWithMMCSS=mfplat.MFBeginRegisterWorkQueueWithMMCSS")
#pragma comment(linker, "/export:MFBeginRegisterWorkQueueWithMMCSSEx=mfplat.MFBeginRegisterWorkQueueWithMMCSSEx")
#pragma comment(linker, "/export:MFBeginUnregisterWorkQueueWithMMCSS=mfplat.MFBeginUnregisterWorkQueueWithMMCSS")
#pragma comment(linker, "/export:MFCalculateBitmapImageSize=mfplat.MFCalculateBitmapImageSize")
#pragma comment(linker, "/export:MFCalculateImageSize=mfplat.MFCalculateImageSize")
#pragma comment(linker, "/export:MFCallStackTracingClearSnapshot=mfplat.MFCallStackTracingClearSnapshot")
#pragma comment(linker, "/export:MFCallStackTracingLogSessionErrors=mfplat.MFCallStackTracingLogSessionErrors")
#pragma comment(linker, "/export:MFCallStackTracingRestoreSnapshot=mfplat.MFCallStackTracingRestoreSnapshot")
#pragma comment(linker, "/export:MFCallStackTracingTakeSnapshot=mfplat.MFCallStackTracingTakeSnapshot")
#pragma comment(linker, "/export:MFCancelCreateFile=mfplat.MFCancelCreateFile")
#pragma comment(linker, "/export:MFCancelWorkItem=mfplat.MFCancelWorkItem")
#pragma comment(linker, "/export:MFCheckEnabledViaAppService=mfplat.MFCheckEnabledViaAppService")
#pragma comment(linker, "/export:MFClearLocalMFTs=mfplat.MFClearLocalMFTs")
#pragma comment(linker, "/export:MFCombineSamples=mfplat.MFCombineSamples")
#pragma comment(linker, "/export:MFCompareFullToPartialMediaType=mfplat.MFCompareFullToPartialMediaType")
#pragma comment(linker, "/export:MFCompareSockaddrAddresses=mfplat.MFCompareSockaddrAddresses")
#pragma comment(linker, "/export:MFConvertColorInfoFromDXVA=mfplat.MFConvertColorInfoFromDXVA")
#pragma comment(linker, "/export:MFConvertColorInfoToDXVA=mfplat.MFConvertColorInfoToDXVA")
#pragma comment(linker, "/export:MFConvertFromFP16Array=mfplat.MFConvertFromFP16Array")
#pragma comment(linker, "/export:MFConvertToFP16Array=mfplat.MFConvertToFP16Array")
#pragma comment(linker, "/export:MFCopyImage=mfplat.MFCopyImage")
#pragma comment(linker, "/export:MFCreate2DMediaBuffer=mfplat.MFCreate2DMediaBuffer")
#pragma comment(linker, "/export:MFCreate2DMediaBufferOn1DMediaBuffer=mfplat.MFCreate2DMediaBufferOn1DMediaBuffer")
#pragma comment(linker, "/export:MFCreateAMMediaTypeFromMFMediaType=mfplat.MFCreateAMMediaTypeFromMFMediaType")
#pragma comment(linker, "/export:MFCreateAlignedMemoryBuffer=mfplat.MFCreateAlignedMemoryBuffer")
#pragma comment(linker, "/export:MFCreateAlignedSharedMemoryBuffer=mfplat.MFCreateAlignedSharedMemoryBuffer")
#pragma comment(linker, "/export:MFCreateAsyncResult=mfplat.MFCreateAsyncResult")
#pragma comment(linker, "/export:MFCreateAttributes=mfplat.MFCreateAttributes")
#pragma comment(linker, "/export:MFCreateAudioMediaType=mfplat.MFCreateAudioMediaType")
#pragma comment(linker, "/export:MFCreateByteStreamHandlerAppServiceActivate=mfplat.MFCreateByteStreamHandlerAppServiceActivate")
#pragma comment(linker, "/export:MFCreateCollection=mfplat.MFCreateCollection")
#pragma comment(linker, "/export:MFCreateContentDecryptorContext=mfplat.MFCreateContentDecryptorContext")
#pragma comment(linker, "/export:MFCreateContentProtectionDevice=mfplat.MFCreateContentProtectionDevice")
#pragma comment(linker, "/export:MFCreateD3D12SynchronizationObject=mfplat.MFCreateD3D12SynchronizationObject")
//#pragma comment(linker, "/export:MFCreateDXGIDeviceManager=mfplat.MFCreateDXGIDeviceManager")
#pragma comment(linker, "/export:MFCreateDXGISurfaceBuffer=mfplat.MFCreateDXGISurfaceBuffer")
#pragma comment(linker, "/export:MFCreateDXSurfaceBuffer=mfplat.MFCreateDXSurfaceBuffer")
#pragma comment(linker, "/export:MFCreateEMEStoreObject=mfplat.MFCreateEMEStoreObject")
#pragma comment(linker, "/export:MFCreateEventQueue=mfplat.MFCreateEventQueue")
#pragma comment(linker, "/export:MFCreateFile=mfplat.MFCreateFile")
#pragma comment(linker, "/export:MFCreateFileFromHandle=mfplat.MFCreateFileFromHandle")
#pragma comment(linker, "/export:MFCreateLegacyMediaBufferOnMFMediaBuffer=mfplat.MFCreateLegacyMediaBufferOnMFMediaBuffer")
#pragma comment(linker, "/export:MFCreateMFByteStreamOnIStreamWithFlags=mfplat.MFCreateMFByteStreamOnIStreamWithFlags")
#pragma comment(linker, "/export:MFCreateMFByteStreamOnStream=mfplat.MFCreateMFByteStreamOnStream")
#pragma comment(linker, "/export:MFCreateMFByteStreamOnStreamEx=mfplat.MFCreateMFByteStreamOnStreamEx")
#pragma comment(linker, "/export:MFCreateMFByteStreamWrapper=mfplat.MFCreateMFByteStreamWrapper")
#pragma comment(linker, "/export:MFCreateMFVideoFormatFromMFMediaType=mfplat.MFCreateMFVideoFormatFromMFMediaType")
#pragma comment(linker, "/export:MFCreateMediaBufferFromMediaType=mfplat.MFCreateMediaBufferFromMediaType")
#pragma comment(linker, "/export:MFCreateMediaBufferWrapper=mfplat.MFCreateMediaBufferWrapper")
#pragma comment(linker, "/export:MFCreateMediaEvent=mfplat.MFCreateMediaEvent")
#pragma comment(linker, "/export:MFCreateMediaEventResult=mfplat.MFCreateMediaEventResult")
#pragma comment(linker, "/export:MFCreateMediaExtensionActivate=mfplat.MFCreateMediaExtensionActivate")
#pragma comment(linker, "/export:MFCreateMediaExtensionActivateNoInit=mfplat.MFCreateMediaExtensionActivateNoInit")
#pragma comment(linker, "/export:MFCreateMediaExtensionAppServiceActivate=mfplat.MFCreateMediaExtensionAppServiceActivate")
#pragma comment(linker, "/export:MFCreateMediaExtensionInprocActivate=mfplat.MFCreateMediaExtensionInprocActivate")
#pragma comment(linker, "/export:MFCreateMediaType=mfplat.MFCreateMediaType")
#pragma comment(linker, "/export:MFCreateMediaTypeFromProperties=mfplat.MFCreateMediaTypeFromProperties")
#pragma comment(linker, "/export:MFCreateMediaTypeFromRepresentation=mfplat.MFCreateMediaTypeFromRepresentation")
#pragma comment(linker, "/export:MFCreateMemoryBuffer=mfplat.MFCreateMemoryBuffer")
#pragma comment(linker, "/export:MFCreateMemoryBufferFromRawBuffer=mfplat.MFCreateMemoryBufferFromRawBuffer")
#pragma comment(linker, "/export:MFCreateMemoryStream=mfplat.MFCreateMemoryStream")
#pragma comment(linker, "/export:MFCreateMuxStreamAttributes=mfplat.MFCreateMuxStreamAttributes")
#pragma comment(linker, "/export:MFCreateMuxStreamMediaType=mfplat.MFCreateMuxStreamMediaType")
#pragma comment(linker, "/export:MFCreateMuxStreamSample=mfplat.MFCreateMuxStreamSample")
#pragma comment(linker, "/export:MFCreateOOPMFTProxy=mfplat.MFCreateOOPMFTProxy")
#pragma comment(linker, "/export:MFCreateOOPMFTRemote=mfplat.MFCreateOOPMFTRemote")
#pragma comment(linker, "/export:MFCreatePathFromURL=mfplat.MFCreatePathFromURL")
#pragma comment(linker, "/export:MFCreatePresentationDescriptor=mfplat.MFCreatePresentationDescriptor")
#pragma comment(linker, "/export:MFCreatePropertiesFromMediaType=mfplat.MFCreatePropertiesFromMediaType")
#pragma comment(linker, "/export:MFCreateReusableByteStream=mfplat.MFCreateReusableByteStream")
#pragma comment(linker, "/export:MFCreateReusableByteStreamWithSharedLock=mfplat.MFCreateReusableByteStreamWithSharedLock")
#pragma comment(linker, "/export:MFCreateSample=mfplat.MFCreateSample")
#pragma comment(linker, "/export:MFCreateSecureBufferAllocator=mfplat.MFCreateSecureBufferAllocator")
#pragma comment(linker, "/export:MFCreateSharedMemoryMediaBufferFromMediaType=mfplat.MFCreateSharedMemoryMediaBufferFromMediaType")
#pragma comment(linker, "/export:MFCreateSocket=mfplat.MFCreateSocket")
#pragma comment(linker, "/export:MFCreateSocketListener=mfplat.MFCreateSocketListener")
#pragma comment(linker, "/export:MFCreateSourceResolver=mfplat.MFCreateSourceResolver")
#pragma comment(linker, "/export:MFCreateSourceResolverInternal=mfplat.MFCreateSourceResolverInternal")
#pragma comment(linker, "/export:MFCreateStagingSurfaceWrapper=mfplat.MFCreateStagingSurfaceWrapper")
#pragma comment(linker, "/export:MFCreateStreamDescriptor=mfplat.MFCreateStreamDescriptor")
#pragma comment(linker, "/export:MFCreateStreamOnMFByteStream=mfplat.MFCreateStreamOnMFByteStream")
#pragma comment(linker, "/export:MFCreateStreamOnMFByteStreamEx=mfplat.MFCreateStreamOnMFByteStreamEx")
#pragma comment(linker, "/export:MFCreateSystemTimeSource=mfplat.MFCreateSystemTimeSource")
#pragma comment(linker, "/export:MFCreateTelemetrySession=mfplat.MFCreateTelemetrySession")
#pragma comment(linker, "/export:MFCreateTempFile=mfplat.MFCreateTempFile")
#pragma comment(linker, "/export:MFCreateTrackedSample=mfplat.MFCreateTrackedSample")
#pragma comment(linker, "/export:MFCreateTransformActivate=mfplat.MFCreateTransformActivate")
#pragma comment(linker, "/export:MFCreateURLFromPath=mfplat.MFCreateURLFromPath")
#pragma comment(linker, "/export:MFCreateUdpSockets=mfplat.MFCreateUdpSockets")
#pragma comment(linker, "/export:MFCreateVideoDecryptorContext=mfplat.MFCreateVideoDecryptorContext")
#pragma comment(linker, "/export:MFCreateVideoMediaType=mfplat.MFCreateVideoMediaType")
#pragma comment(linker, "/export:MFCreateVideoMediaTypeFromBitMapInfoHeader=mfplat.MFCreateVideoMediaTypeFromBitMapInfoHeader")
#pragma comment(linker, "/export:MFCreateVideoMediaTypeFromBitMapInfoHeaderEx=mfplat.MFCreateVideoMediaTypeFromBitMapInfoHeaderEx")
#pragma comment(linker, "/export:MFCreateVideoMediaTypeFromSubtype=mfplat.MFCreateVideoMediaTypeFromSubtype")
#pragma comment(linker, "/export:MFCreateVideoMediaTypeFromVideoInfoHeader=mfplat.MFCreateVideoMediaTypeFromVideoInfoHeader")
#pragma comment(linker, "/export:MFCreateVideoMediaTypeFromVideoInfoHeader2=mfplat.MFCreateVideoMediaTypeFromVideoInfoHeader2")
#pragma comment(linker, "/export:MFCreateVideoSampleAllocatorEx=mfplat.MFCreateVideoSampleAllocatorEx")
#pragma comment(linker, "/export:MFCreateWICBitmapBuffer=mfplat.MFCreateWICBitmapBuffer")
#pragma comment(linker, "/export:MFCreateWICDecoderProxy=mfplat.MFCreateWICDecoderProxy")
#pragma comment(linker, "/export:MFCreateWaveFormatExFromMFMediaType=mfplat.MFCreateWaveFormatExFromMFMediaType")
#pragma comment(linker, "/export:MFDeserializeAttributesFromStream=mfplat.MFDeserializeAttributesFromStream")
#pragma comment(linker, "/export:MFDeserializeEvent=mfplat.MFDeserializeEvent")
#pragma comment(linker, "/export:MFDeserializeMediaTypeFromStream=mfplat.MFDeserializeMediaTypeFromStream")
#pragma comment(linker, "/export:MFDeserializePresentationDescriptor=mfplat.MFDeserializePresentationDescriptor")
#pragma comment(linker, "/export:MFEndCreateFile=mfplat.MFEndCreateFile")
#pragma comment(linker, "/export:MFEndGetHostByName=mfplat.MFEndGetHostByName")
#pragma comment(linker, "/export:MFEndRegisterWorkQueueWithMMCSS=mfplat.MFEndRegisterWorkQueueWithMMCSS")
#pragma comment(linker, "/export:MFEndUnregisterWorkQueueWithMMCSS=mfplat.MFEndUnregisterWorkQueueWithMMCSS")
#pragma comment(linker, "/export:MFFrameRateToAverageTimePerFrame=mfplat.MFFrameRateToAverageTimePerFrame")
#pragma comment(linker, "/export:MFFreeAdaptersAddresses=mfplat.MFFreeAdaptersAddresses")
#pragma comment(linker, "/export:MFGetAdaptersAddresses=mfplat.MFGetAdaptersAddresses")
#pragma comment(linker, "/export:MFGetAttributesAsBlob=mfplat.MFGetAttributesAsBlob")
#pragma comment(linker, "/export:MFGetAttributesAsBlobSize=mfplat.MFGetAttributesAsBlobSize")
#pragma comment(linker, "/export:MFGetCallStackTracingWeakReference=mfplat.MFGetCallStackTracingWeakReference")
#pragma comment(linker, "/export:MFGetConfigurationDWORD=mfplat.MFGetConfigurationDWORD")
#pragma comment(linker, "/export:MFGetConfigurationPolicy=mfplat.MFGetConfigurationPolicy")
#pragma comment(linker, "/export:MFGetConfigurationStore=mfplat.MFGetConfigurationStore")
#pragma comment(linker, "/export:MFGetConfigurationString=mfplat.MFGetConfigurationString")
#pragma comment(linker, "/export:MFGetContentProtectionSystemCLSID=mfplat.MFGetContentProtectionSystemCLSID")
#pragma comment(linker, "/export:MFGetMFTMerit=mfplat.MFGetMFTMerit")
#pragma comment(linker, "/export:MFGetNumericNameFromSockaddr=mfplat.MFGetNumericNameFromSockaddr")
#pragma comment(linker, "/export:MFGetPlaneSize=mfplat.MFGetPlaneSize")
#pragma comment(linker, "/export:MFGetPluginControl=mfplat.MFGetPluginControl")
#pragma comment(linker, "/export:MFGetSockaddrFromNumericName=mfplat.MFGetSockaddrFromNumericName")
#pragma comment(linker, "/export:MFGetStrideForBitmapInfoHeader=mfplat.MFGetStrideForBitmapInfoHeader")
#pragma comment(linker, "/export:MFGetSupportedMimeTypes=mfplat.MFGetSupportedMimeTypes")
#pragma comment(linker, "/export:MFGetSupportedSchemes=mfplat.MFGetSupportedSchemes")
#pragma comment(linker, "/export:MFGetSystemTime=mfplat.MFGetSystemTime")
#pragma comment(linker, "/export:MFGetTimerPeriodicity=mfplat.MFGetTimerPeriodicity")
#pragma comment(linker, "/export:MFGetUncompressedVideoFormat=mfplat.MFGetUncompressedVideoFormat")
#pragma comment(linker, "/export:MFGetWorkQueueMMCSSClass=mfplat.MFGetWorkQueueMMCSSClass")
#pragma comment(linker, "/export:MFGetWorkQueueMMCSSPriority=mfplat.MFGetWorkQueueMMCSSPriority")
#pragma comment(linker, "/export:MFGetWorkQueueMMCSSTaskId=mfplat.MFGetWorkQueueMMCSSTaskId")
#pragma comment(linker, "/export:MFHasLocallyRegisteredByteStreamHandlers=mfplat.MFHasLocallyRegisteredByteStreamHandlers")
#pragma comment(linker, "/export:MFHasLocallyRegisteredSchemeHandlers=mfplat.MFHasLocallyRegisteredSchemeHandlers")
#pragma comment(linker, "/export:MFHeapAlloc=mfplat.MFHeapAlloc")
#pragma comment(linker, "/export:MFHeapFree=mfplat.MFHeapFree")
#pragma comment(linker, "/export:MFInitAMMediaTypeFromMFMediaType=mfplat.MFInitAMMediaTypeFromMFMediaType")
#pragma comment(linker, "/export:MFInitAttributesFromBlob=mfplat.MFInitAttributesFromBlob")
#pragma comment(linker, "/export:MFInitMediaTypeFromAMMediaType=mfplat.MFInitMediaTypeFromAMMediaType")
#pragma comment(linker, "/export:MFInitMediaTypeFromMFVideoFormat=mfplat.MFInitMediaTypeFromMFVideoFormat")
#pragma comment(linker, "/export:MFInitMediaTypeFromMPEG1VideoInfo=mfplat.MFInitMediaTypeFromMPEG1VideoInfo")
#pragma comment(linker, "/export:MFInitMediaTypeFromMPEG2VideoInfo=mfplat.MFInitMediaTypeFromMPEG2VideoInfo")
#pragma comment(linker, "/export:MFInitMediaTypeFromVideoInfoHeader=mfplat.MFInitMediaTypeFromVideoInfoHeader")
#pragma comment(linker, "/export:MFInitMediaTypeFromVideoInfoHeader2=mfplat.MFInitMediaTypeFromVideoInfoHeader2")
#pragma comment(linker, "/export:MFInitMediaTypeFromWaveFormatEx=mfplat.MFInitMediaTypeFromWaveFormatEx")
#pragma comment(linker, "/export:MFInitVideoFormat=mfplat.MFInitVideoFormat")
#pragma comment(linker, "/export:MFInitVideoFormat_RGB=mfplat.MFInitVideoFormat_RGB")
#pragma comment(linker, "/export:MFInvalidateMFTEnumCache=mfplat.MFInvalidateMFTEnumCache")
#pragma comment(linker, "/export:MFInvokeCallback=mfplat.MFInvokeCallback")
#pragma comment(linker, "/export:MFIsBottomUpFormat=mfplat.MFIsBottomUpFormat")
#pragma comment(linker, "/export:MFIsContentProtectionDeviceSupported=mfplat.MFIsContentProtectionDeviceSupported")
#pragma comment(linker, "/export:MFIsLocallyRegisteredMimeType=mfplat.MFIsLocallyRegisteredMimeType")
#pragma comment(linker, "/export:MFIsLocallyRegisteredSchemeHandler=mfplat.MFIsLocallyRegisteredSchemeHandler")
#pragma comment(linker, "/export:MFJoinWorkQueue=mfplat.MFJoinWorkQueue")
#pragma comment(linker, "/export:MFLockDXGIDeviceManager=mfplat.MFLockDXGIDeviceManager")
#pragma comment(linker, "/export:MFLockPlatform=mfplat.MFLockPlatform")
#pragma comment(linker, "/export:MFLockSharedWorkQueue=mfplat.MFLockSharedWorkQueue")
#pragma comment(linker, "/export:MFLockWorkQueue=mfplat.MFLockWorkQueue")
#pragma comment(linker, "/export:MFMapDX9FormatToDXGIFormat=mfplat.MFMapDX9FormatToDXGIFormat")
#pragma comment(linker, "/export:MFMapDXGIFormatToDX9Format=mfplat.MFMapDXGIFormatToDX9Format")
#pragma comment(linker, "/export:MFPutWaitingWorkItem=mfplat.MFPutWaitingWorkItem")
#pragma comment(linker, "/export:MFPutWorkItem=mfplat.MFPutWorkItem")
#pragma comment(linker, "/export:MFPutWorkItem2=mfplat.MFPutWorkItem2")
#pragma comment(linker, "/export:MFPutWorkItemEx=mfplat.MFPutWorkItemEx")
#pragma comment(linker, "/export:MFPutWorkItemEx2=mfplat.MFPutWorkItemEx2")
#pragma comment(linker, "/export:MFRegisterLocalByteStreamHandler=mfplat.MFRegisterLocalByteStreamHandler")
#pragma comment(linker, "/export:MFRegisterLocalSchemeHandler=mfplat.MFRegisterLocalSchemeHandler")
#pragma comment(linker, "/export:MFRegisterPlatformWithMMCSS=mfplat.MFRegisterPlatformWithMMCSS")
#pragma comment(linker, "/export:MFRemovePeriodicCallback=mfplat.MFRemovePeriodicCallback")
#pragma comment(linker, "/export:MFScheduleWorkItem=mfplat.MFScheduleWorkItem")
#pragma comment(linker, "/export:MFScheduleWorkItemEx=mfplat.MFScheduleWorkItemEx")
#pragma comment(linker, "/export:MFSerializeAttributesToStream=mfplat.MFSerializeAttributesToStream")
#pragma comment(linker, "/export:MFSerializeEvent=mfplat.MFSerializeEvent")
#pragma comment(linker, "/export:MFSerializeMediaTypeToStream=mfplat.MFSerializeMediaTypeToStream")
#pragma comment(linker, "/export:MFSerializePresentationDescriptor=mfplat.MFSerializePresentationDescriptor")
#pragma comment(linker, "/export:MFSetMinimumMemoryAlignment=mfplat.MFSetMinimumMemoryAlignment")
#pragma comment(linker, "/export:MFSetSockaddrAny=mfplat.MFSetSockaddrAny")
#pragma comment(linker, "/export:MFSetWindowForContentProtection=mfplat.MFSetWindowForContentProtection")
#pragma comment(linker, "/export:MFShutdown=mfplat.MFShutdown")
#pragma comment(linker, "/export:MFSplitSample=mfplat.MFSplitSample")
#pragma comment(linker, "/export:MFStartup=mfplat.MFStartup")
#pragma comment(linker, "/export:MFStreamDescriptorProtectMediaType=mfplat.MFStreamDescriptorProtectMediaType")
#pragma comment(linker, "/export:MFTEnum=mfplat.MFTEnum")
#pragma comment(linker, "/export:MFTEnum2=mfplat.MFTEnum2")
#pragma comment(linker, "/export:MFTEnumEx=mfplat.MFTEnumEx")
#pragma comment(linker, "/export:MFTGetInfo=mfplat.MFTGetInfo")
#pragma comment(linker, "/export:MFTRegister=mfplat.MFTRegister")
#pragma comment(linker, "/export:MFTRegisterLocal=mfplat.MFTRegisterLocal")
#pragma comment(linker, "/export:MFTRegisterLocalByCLSID=mfplat.MFTRegisterLocalByCLSID")
#pragma comment(linker, "/export:MFTUnregister=mfplat.MFTUnregister")
#pragma comment(linker, "/export:MFTUnregisterLocal=mfplat.MFTUnregisterLocal")
#pragma comment(linker, "/export:MFTUnregisterLocalByCLSID=mfplat.MFTUnregisterLocalByCLSID")
#pragma comment(linker, "/export:MFTraceError=mfplat.MFTraceError")
#pragma comment(linker, "/export:MFTraceFuncEnter=mfplat.MFTraceFuncEnter")
#pragma comment(linker, "/export:MFUnjoinWorkQueue=mfplat.MFUnjoinWorkQueue")
#pragma comment(linker, "/export:MFUnlockDXGIDeviceManager=mfplat.MFUnlockDXGIDeviceManager")
#pragma comment(linker, "/export:MFUnlockPlatform=mfplat.MFUnlockPlatform")
#pragma comment(linker, "/export:MFUnlockWorkQueue=mfplat.MFUnlockWorkQueue")
#pragma comment(linker, "/export:MFUnregisterPlatformFromMMCSS=mfplat.MFUnregisterPlatformFromMMCSS")
#pragma comment(linker, "/export:MFUnwrapMediaType=mfplat.MFUnwrapMediaType")
#pragma comment(linker, "/export:MFValidateMediaTypeSize=mfplat.MFValidateMediaTypeSize")
#pragma comment(linker, "/export:MFWrapMediaType=mfplat.MFWrapMediaType")
#pragma comment(linker, "/export:MFWrapSocket=mfplat.MFWrapSocket")
#pragma comment(linker, "/export:MFllMulDiv=mfplat.MFllMulDiv")
#pragma comment(linker, "/export:PropVariantFromStream=mfplat.PropVariantFromStream")
#pragma comment(linker, "/export:PropVariantToStream=mfplat.PropVariantToStream")